# Roadmap

Last updated: 2022-07-11

This document intends to shed light on the current development plans of the team.
Plans change constantly as new information is absorbed by the team.

Codebase stewards review the roadmap monthly as part of our [backlog pruning session](https://about.publiccode.net/activities/standard-maintenance/backlog-pruning.html).

## Current work

* Demonstrate good example codebases of each criterion (especially Bundle policy and code)
* Clarify computer code vs policy text in requirements
* Remove multiple bullet point requirements
* Fold in feedback e.g.: findability, modularity
* Work through the issue backlog
* Separate executive summary

## Near term

* Links to examples of Standard-compliant implementations
* Put "Why is this important" before requirements
* Possibly: add in the illustrations for each criterion
* As far as possible, make the standard Standard-compliant

## Longer term

* Certification badges
* Physical paper checklist
* Becoming validated by multiple codebases
* Update criteria URLs
* Linkable requirements
* New cover art
* Register for ISBN
* List with an on-demand book printing service
